Package org.springframework.aot.hint

# Class ExecutableHint

java.lang.Object
org.springframework.aot.hint.MemberHint
org.springframework.aot.hint.ExecutableHint

All Implemented Interfaces:
  `Comparable<ExecutableHint>`

public final class ExecutableHint extends MemberHint implements Comparable<ExecutableHint>
A hint that describes the need for reflection on a `Method` or `Constructor`.

Since:
  6.0
Author:
  Stephane Nicoll

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ExecutableHint.Builder`
Builder for `ExecutableHint`.

## Method Summary

Modifier and Type
Method
Description
`static Consumer<ExecutableHint.Builder>`
`builtWith(ExecutableMode mode)`
Return a `Consumer` that applies the given `ExecutableMode` to the accepted `ExecutableHint.Builder`.
`int`
`compareTo(ExecutableHint other)`
`ExecutableMode`
`getMode()`
Return the mode that applies to this hint.
`List<TypeReference>`
`getParameterTypes()`
Return the parameter types of the executable.

### Methods inherited from class org.springframework.aot.hint.MemberHint

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getParameterTypes

public List<TypeReference> getParameterTypes()
Return the parameter types of the executable.

Returns:
  the parameter types
See Also:
  - `Executable.getParameterTypes()`

### getMode

public ExecutableMode getMode()
Return the mode that applies to this hint.

Returns:
  the mode

### builtWith

public static Consumer<ExecutableHint.Builder> builtWith(ExecutableMode mode)
Return a `Consumer` that applies the given `ExecutableMode` to the accepted `ExecutableHint.Builder`.

Parameters:
  `mode` - the mode to apply
Returns:
  a consumer to apply the mode

### compareTo

public int compareTo(ExecutableHint other)

Specified by:
  `compareTo` in interface `Comparable<ExecutableHint>`